ForceFields::UFF::BondStretchContrib Class Reference

The bond-stretch term for the Universal Force Field. More...

`#include <BondStretch.h>`

Inheritance diagram for ForceFields::UFF::BondStretchContrib:

## Public Member Functions

| BondStretchContrib ()
| BondStretchContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, double bondOrder, const AtomicParams *end1Params, const AtomicParams *end2Params)
| Constructor. More...
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual BondStretchContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

The bond-stretch term for the Universal Force Field.

Definition at line 20 of file UFF/BondStretch.h.

## Constructor & Destructor Documentation

## BondStretchContrib() [1/2]

ForceFields::UFF::BondStretchContrib::BondStretchContrib | ( |  | ) |

inline

Definition at line 22 of file UFF/BondStretch.h.

## BondStretchContrib() [2/2]

ForceFields::UFF::BondStretchContrib::BondStretchContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | double | bondOrder,
|  | const AtomicParams * | end1Params,
|  | const AtomicParams * | end2Params
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of end1 in the ForceField's positions
  idx2 | index of end2 in the ForceField's positions
  bondOrder | order of the bond (as a double)
  end1Params | pointer to the parameters for end1
  end2Params | pointer to the parameters for end2

## Member Function Documentation

## copy()

virtual BondStretchContrib* ForceFields::UFF::BondStretchContrib::copy | ( |  | ) | const

inline virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 41 of file UFF/BondStretch.h.

## getEnergy()

double ForceFields::UFF::BondStretchContrib::getEnergy | ( | double * | pos | ) | const

virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## getGrad()

void ForceFields::UFF::BondStretchContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- UFF/BondStretch.h